Skip to main content
Resource Center/Network Resource/L2 Network Operations
PUTL2 Network OperationsSince 3.3.0SynchronousAuth Required

UpdateVniRange

UpdateVniRange

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • nameString

    Optional. The name.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/l2-networks/vxlan-pool/vni-ranges/{uuid}

/zstack/v1/l2-networks/vxlan-pool/vni-ranges/{uuid}

Operation ID

UpdateVniRange

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/l2-networks/vxlan-pool/vni-ranges/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "Test-Range", "description": "Test", "startVni": 10.0, "endVni": 10000.0, "l2NetworkUuid": "73f29ba3afd83876830ab1794046e47a" } }

Change History

This API has no change history records yet.

View all change history